Yes the upgrade to 3.5 went well

Some sites running 3.5+ have issues (I think its due to AJAX not being compatible with most servers)